#include <stdio.h>
#include <stdlib.h>

int xor_delilaca(long long broj, int brojDelilaca, long long skupDelilaca[]){
    long long rezultat=0;
    for(int i=0; i<brojDelilaca;i++){
        if(broj%skupDelilaca[i]==0){
            rezultat= rezultat ^ skupDelilaca[i];
        }
    }
    return rezultat;
}

int main()
{
    long long broj, skupDelilaca[100000];
    int brojDelilaca;
    scanf("%lld %d", &broj, &brojDelilaca);
    for(int i=0; i<brojDelilaca; i++){
        scanf("%lld", &skupDelilaca[i]);
    }
    for(int i=0; i<brojDelilaca; i++){
        printf("%d", xor_delilaca(skupDelilaca[i],brojDelilaca,skupDelilaca));
        if(i<brojDelilaca-1) printf(" ");
    }

    return 0;
}